# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gtkdocize glib2-devel pkgconfig(gio-2.0)
# END SourceDeps(oneline)
Name:		libfep
Version:	0.0.9
Release:	alt1_1
Summary:	Library to implement FEP (front end processor) on ANSI terminals

License:	BSD and GPLv3+
Group:		System/Libraries
URL:		http://github.com/ueno/libfep
Source0:	http://cloud.github.com/downloads/ueno/libfep/%{name}-%{version}.tar.gz

# FIXME switch to libgee-0.8 once this package is ready for the new libgee API
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	libncurses-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	libvala-devel vala-tools
Source44: import.info
Patch33: libfep-0.0.9-alt-ncurses-hack.patch

%description
The libfep project aims to provide a server and a library to implement
input method FEP (front end processor), running on ANSI compliant
terminals.


%package	devel
Group: System/Libraries
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %%{name}-devel package contains libraries and header files for
developing applications that use %%{name}.


%prep
%setup -q
%patch33 -p1

%build
autoreconf -fisv
# needed to regenerate GIR
GIO_LIBS=`pkg-config gio-2.0 gmodule-2.0 --libs`
export GIO_LIBS
%configure --disable-static
make %{?_smp_mflags} NCURSES_LIBS="-lncurses -ltinfo"


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' ';'
cp -p fep/README README.fep


%files
%doc README README.fep COPYING fep/COPYING.BSD ChangeLog
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Fep*.typelib
%{_bindir}/fep*
%{_mandir}/man1/fep*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Fep*.gir
%{_datadir}/vala/vapi/*


%changelog
* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.9-alt1_1
- initial fc import

